function [X,Y,Z]=plot_bathymetry(type_pl,tmap,LON_LIM,LAT_LIM,LEVELS);

% [X,Y,Z]=plot_bathymetry(type_pl,tmap,LON_LIM,LAT_LIM,LEVELS);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  	This function plot the batimetry for the region 
%  		based on etopo5 
%
%		tmap = 1 ------------------ m_map
%		type_pl = 's' ------------- surface plot
%		type_pl = 'c' ------------- black contours plot
%		type_pl = 'cc' ------------ colored contours plot
%  
%  		Ricardo Domingues, AOML/NOAA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if(~exist('LON_LIM'))
	LON_LIM = xlim;
end

if(~exist('LAT_LIM'))
	LAT_LIM = ylim;
end

if(~exist('type_pl'))
	type_pl = 's';
end

if(~exist('tmap'))
	tmap = 0;
end

if(~exist('LEVELS'))
	LEVELS = 20;
end

AX=gca;hold on
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% extracting the batimetry 

load etopo5

I = find(y>=(LAT_LIM(1)-1) & y<=(LAT_LIM(2)+1));
J = find(x>=(LON_LIM(1)-1) & x<=(LON_LIM(2)+1));

Z = z(I,J);
[X,Y]=meshgrid(x(J),y(I));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ploting

if(tmap==1 && type_pl=='c')
	m_contour(X,Y,Z,LEVELS,'k'),shading flat
elseif(tmap==1 & type_pl=='cc')
	m_contour(X,Y,Z,LEVELS),shading flat
elseif(tmap==1 & type_pl=='s')
	m_pcolor(X,Y,Z),shading interp
elseif(tmap==0 & type_pl=='s')
	pcolor(X,Y,Z),shading interp
elseif(tmap==0 & type_pl=='c')
	contour(X,Y,Z,LEVELS,'k'),shading interp
elseif(tmap==0 & type_pl=='cc')
	contour(X,Y,Z,LEVELS),shading interp
end
