%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 	This program plots vgeo at AX25
%		Ricardo Domingues, AOML/NOAA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc;clear all;close all

load RefSec
load RegRef
load 20050330_vgeo
load jet2wht_colormap

LON_LIM = [-20 40];
LAT_LIM = [-75 -20];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lat_pl = lat_ref(1,1):.1:lat_ref(end,1);
lon_pl = lon_ref(1,1):.1:lon_ref(1,end);

[lon_pl,lat_pl]=meshgrid(lon_pl,lat_pl);

figure(1)
PL=auto_plot(1,1,2,.7,1,.9,1,6,12);	

Vel = sqrt(u.^2 + v.^2);
Vel2 = interp2(lon_ref,lat_ref,Vel,lon_pl,lat_pl);	
	
K = find(Vel2<0.19);
Vel2_3D = Vel2;
Vel2_3D(K)= nan;

plot_bathymetry_3D(LON_LIM,LAT_LIM,4,[-288.3111 -251.2134 7.4434e+04]); hold on
colormap(jet2wht);
pcolor(lon_pl,lat_pl,Vel2_3D); shading interp
caxis([0 .5])

set(gca,'handlevisibility','off')
 	
m_proj('Albers Equal-Area Conic','lat',[-80 -30],'lon',[-20 30])
m_pcolor(lon_pl,lat_pl,Vel2), shading interp, hold on
caxis([0 .5]) 
plot_batimetry('c',1,[-20 30],[-80 -30],[-3000 -100]);
m_grid('box','fancy','fontsize',16,'XaxisLocation','top','linewidth',1)
m_gshhs_h('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
cb = colorbar;
set(cb,'position',[0.4    0.1360    0.0146    0.4167])
title(cb,'m/s','fontsize',12)